/* Base styles */
body {
  background-color: rgb(231, 197, 197);
  
  }
  .headerContainer a {
    color: rgb(142, 61, 58);
    text-decoration: none;
    }
    .navbar a:link {
        color: rgb(83, 4, 4);
        text-decoration: none;
    }

/* Common styles */
  .headerContainer {
  backdrop-filter: blur(20px);
  background: rgba(255, 255, 255, 0.5);
  border-radius: 8px;
  border-top: 1px solid rgba(255, 255, 255, 0.3);
  border-left: 1px solid rgba(255, 255, 255, 0.3);
  border-right: 1px solid rgba(255, 255, 255, 0.3);
  }
  
/* Desktop styles */
  @media only screen and (min-width: 600px) {
  .header,
  .subtitle {
      display: flex;
      font-family: "Montserrat";
      font-weight: 900;        
      color: rgb(142, 61, 58);
      justify-content: center;
      margin: auto;
      font-size: xx-large;
      text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);
  }
  .header{
    transition: 0.3s;
}
.header:hover{
    scale: 110%;
    transition: 0.4s;
}
  
  /* Navigation bar */
  .navbar {
      display: flex;
      background-color: rgb(204, 153, 153);
      justify-content: center;
      font-family: "Nunito";
      border-radius: 8px;
      text-decoration: none;
  }
  
  .navbar a {
    color: rgb(83, 4, 4);
    padding: 14px 20px;
      text-decoration: none;
      text-align: center;
      font-family: "Nunito";
  }
  
  .navbar a:hover {
  background-color: #ddd;
  color: black;
  font-family: "Nunito";
  transition: 0.3s;
  }
  
  /* Main content */
  .mainText {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background: rgba(255, 255, 255, 0.5);
  padding: 20px;
  color: rgb(83, 4, 4);
  border-radius: 8px;
  border-left: 1px solid rgba(255, 255, 255, 0.3);
  border-right: 1px solid rgba(255, 255, 255, 0.3);
  font-family: "nunito";
  font-size: large;
  }
  
  .h2 {
  font-family: "Montserrat";
  font-size: larger;
  color: rgb(142, 61, 58);
  padding-left: 20px;
  font-weight: bold;
  text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);
  }
  .googleMaps {
    display: grid;
    height: auto;
    border-radius: 2px;
    border-left: 4px solid rgb(204, 153, 153);
    border-right: 4px solid rgb(204, 153, 153);
    border-top: 4px solid rgb(204, 153, 153);
    border-bottom: 4px solid rgb(204, 153, 153);
    box-shadow:  2px 2px 4px rgba(83, 4, 4, 0.235);
  }
  .googleMaps:hover {
transform: scale(1.2); 
transition: 0.3s;
 }

  /* Footer */
  .footer {
      padding: 20px;
      text-align: center;
      background-color: rgb(204, 153, 153);
      border-radius: 8px;
      border-left: 1px solid rgba(255, 255, 255, 0.3);
      border-right: 1px solid rgba(255, 255, 255, 0.3);
  }

  .footerText {
      font-family: "montserrat";
      font-size: 14px;
      color: rgb(142, 61, 58);
      text-align: center;
  }
  
  }
  /* Mobile styles */
  @media only screen and (max-width: 600px) {
  .header {
      display: flex;
      font-family: "Montserrat";
      color: rgb(142, 61, 58);
      justify-content: center;
      margin: auto;
      font-size: 20px;
      text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);

  }

  .subtitle {
      display: flex;
      font-family: 'Montserrat';
      color: rgb(142, 61, 58);
      justify-content: center;
      margin: auto;
      font-size: large;
      text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);

  }


  /* Navigation bar */
  .navbar {
      display: flex;
      background-color: rgb(204, 153, 153);
      justify-content: center;
      font-size: 14px;
      font-weight: bold;
      border-radius: 8px;
      font-family: "nunito";
  }

  .navbar a {
    color: rgb(83, 4, 4);
    padding: 14px 15px;
      text-decoration: none;
      text-align: center;
      font-family: "nunito";
  }

  .navbar a:hover {
      background-color: #ddd;
      color: black;
      font-family: "nunito";
      text-align: center;
      text-decoration: none;
  }

  /* Main content */
  .mainText {
      background-color: rgb(245, 220, 220);
      padding: 20px;
      font-family: "nunito";
      color: rgb(83, 4, 4);
      border-radius: 8px;
      border-left: 1px solid rgba(255, 255, 255, 0.3);
      border-right: 1px solid rgba(255, 255, 255, 0.3);
      text-align: center;
      align-items: center;
  }

  .h2 {
      font-family: "Montserrat";
      font-weight: bold;
      font-size: larger;
      color: rgb(142, 61, 58);
      display: flex;
      justify-content: center;
      text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);
  }
  
    .googleMaps {
      position: relative;
      padding-bottom: 75%;
      height: 0;
      overflow: hidden;
      border-radius: 2px;
      border-left: 4px solid rgb(204, 153, 153);
      border-right: 4px solid rgb(204, 153, 153);
      border-top: 4px solid rgb(204, 153, 153);
      border-bottom: 4px solid rgb(204, 153, 153);
      box-shadow:  2px 2px 4px rgba(83, 4, 4, 0.235);
    }
    .googleMaps iframe {
      position: absolute;
      top: 0;
      left: 0;
      width: 100% !important;
      height: 100% !important;
    }

  /* Footer */
  .footer {
      padding: 20px;
      text-align: center;
      background-color: rgb(204, 153, 153);
      border-radius: 8px;
      border-left: 1px solid rgba(255, 255, 255, 0.3);
      border-right: 1px solid rgba(255, 255, 255, 0.3);
  }

  .footerText {
      font-family: "Montserrat";
      font-size: 14px;
      color: rgb(142, 61, 58);
      text-align: center;
  }
  }

  @media only screen and (max-width: 400px) {
  .header {
      display: flex;
      font-family: "montserrat";
      color: rgb(142, 61, 58);
      justify-content: center;
      margin: auto;
      font-size: 15px;
      text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);

  }

  .subtitle {
      display: flex;
      font-family: "Montserrat";
      color: rgb(142, 61, 58);
      justify-content: center;
      margin: auto;
      font-size: large;
      text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);

  }
  /* Navigation bar */
  .navbar {
      display: flex;
      background-color: rgb(204, 153, 153);
      justify-content: center;
      font-size: 11px;
      font-weight: bold;
      font-family: "nunito";
  }

  .navbar a {
    color: rgb(83, 4, 4);
    padding: 10px 8px;
      text-decoration: none;
      text-align: center;
  }

  .navbar a:hover {
      background-color: #ddd;
      color: black;

  }

  /* Main content */
  .mainStuff {
      background: rgba(255, 255, 255, 0.5);
      padding: 20px;
      font-family: "Montserrat";
      color: rgb(83, 4, 4);
      border-radius: 8px;
      border-left: 1px solid rgba(255, 255, 255, 0.3);
      border-right: 1px solid rgba(255, 255, 255, 0.3);
      text-align: center;
      align-items: center;
  }

  .h2 {
      display: flex;
      font-family: "Montserrat";
      font-size: larger;
      color: rgb(142, 61, 58);
      justify-content: center;
      font-weight: bold;
      text-shadow:  1px 1px 2px rgba(83, 4, 4, 0.235);

  }

  /* Footer */
  .footer {
      padding: 20px;
      text-align: center;
      background-color: rgb(204, 153, 153);
      border-radius: 8px;
      border-left: 1px solid rgba(255, 255, 255, 0.3);
      border-right: 1px solid rgba(255, 255, 255, 0.3);
  }

  .footerText {
      font-family: 'Montserrat';
      font-size: 8px;
      color: rgb(142, 61, 58);
      text-align: center;
  }
  }